package main

import (
	"net/http"

	admin "git.pyer.club/kingecg/gohttpd/admin"
	logger "git.pyer.club/kingecg/gologger"
)

func main() {
	logger.Configure(logger.LoggersConfig{
		Categories: map[string]logger.LogConfig{
			"default": {
				Level: "debug",
				Appenders: []string{
					"console",
				},
			},
			"fat": {
				Level: "debug",
				Appenders: []string{
					"console",
					"file",
				},
			},
		},
		Appenders: map[string]logger.LogAppenderConfig{
			"console": {
				Type: "console",
			},
			"file": {
				Type: "file",
				Options: map[string]interface{}{
					"file": "./log/fat.log",
				},
			},
		},
	})
	defaultLogger := logger.GetLogger("default")
	defaultLogger.Info("Listening...")
	http.ListenAndServe(":8080", admin.AdminServerMux)
}
